> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kylon.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Toolkit Details

> Get a toolkit's metadata and the full list of tools it provides, including input parameter schemas.



## OpenAPI

````yaml GET /proxy/tools/toolkit/{toolkit}
openapi: 3.1.0
info:
  title: Kylon Tools API
  description: >-
    Kylon Tools API for searching, authenticating, inspecting, executing,
    proxying, and uploading files for connected tools.
  version: 1.0.0
servers:
  - url: https://api.kylon.io
    description: Production
security:
  - apiKey: []
paths:
  /proxy/tools/toolkit/{toolkit}:
    get:
      tags:
        - Toolkits
      summary: Get toolkit details
      description: >-
        Get a toolkit's metadata and the full list of tools it provides,
        including input parameter schemas.
      operationId: getToolkitDetails
      parameters:
        - name: toolkit
          in: path
          required: true
          description: Toolkit slug.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: Maximum number of tools to return.
          schema:
            type: integer
        - name: cursor
          in: query
          required: false
          description: Pagination cursor.
          schema:
            type: string
        - name: connection_id
          in: query
          required: false
          description: Filter by a specific connection.
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolkitDetails'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ToolkitDetails:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        description:
          type: string
        icon:
          type:
            - string
            - 'null'
        tools:
          type: array
          items:
            $ref: '#/components/schemas/Tool'
      required:
        - slug
        - name
        - description
        - tools
    Tool:
      type: object
      properties:
        slug:
          type: string
          description: Tool identifier used in the execute endpoint.
        name:
          type: string
        description:
          type: string
        inputParameters:
          description: >-
            JSON Schema describing the expected arguments. Null for tools with
            dynamic schemas.
          oneOf:
            - type: object
              additionalProperties: true
            - type: 'null'
      required:
        - slug
        - name
        - description
    Error:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  responses:
    Unauthorized:
      description: Unauthorized - invalid or missing API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Can also be passed as `Authorization: Bearer
        <token>`.

````